    <?php
    $json_data_posted = '';
    $messageType = "";
    $message = "";

    function json_custom_validate($string)
    {
        $postedData = json_decode($string);
        if ($postedData !== null && is_object($postedData)) {
            return true;
        } else {
            return false;
        }
    }
    if (!empty($_POST["submit_json"])) {
        $json_data_posted = $_POST["json_input"];
        // Validate the posted JSON
        if (json_custom_validate($json_data_posted) == false) {
            $messageType = "error";
            $message = "Invalid JSON format.";
        } else {
            // if the JSON is valid post to PHP via Call
            $url = 'http://localhost/json-post-php/example2/ep.php';

            $data = json_encode($json_data_posted);

            $curl = curl_init($url);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($curl, CURLOPT_POST, true);
            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));

            $result = curl_exec($curl);
            curl_close($curl);

            $curlResponse = json_decode($result);

            $messageType = $curlResponse->responseType;
            if ($curlResponse->responseType == 'error') {
                $message = $curlResponse->response;
            } else {
                $message = "The posted JSON data is, " . $curlResponse->response;
            }
        }
    }
    ?>

    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="../form.css" type="text/css" rel="stylesheet" />
        <link href="../style.css" type="text/css" rel="stylesheet" />
        <title>Receive JSON POST in PHP</title>
    </head>

    <body>
        <div class="phppot-container">
            <h1>Receive JSON POST in PHP</h1>
            <form action="" method="post">
                <div class="phppot-message <?php echo $messageType; ?>"><?php echo $message; ?></div>
                <div class="row">
                    <lable>Enter JSON data</lable>
                    <textarea name="json_input" class="full-width" rows="5" cols="50"><?php $json_data_posted; ?></textarea>
                </div>
                <div class="row">
                    <input type="submit" name="submit_json" value="Post JSON">
                </div>
            </form>
        </div>
    </body>

    </html>
